--- lib/ExtUtils/MakeMaker.pm.bak	2013-11-25 20:48:18.119741749 +0400
+++ lib/ExtUtils/MakeMaker.pm	2013-11-25 20:49:26.798740829 +0400
@@ -2246,13 +2246,13 @@
 When true, suppresses the generation of MYMETA.yml and MYMETA.json module
 meta-data files during 'perl Makefile.PL'.
 
-Defaults to false.
+Defaults to true.
 
 =item NO_PACKLIST
 
 When true, suppresses the writing of C<packlist> files for installs.
 
-Defaults to false.
+Defaults to true.
 
 =item NO_PERLLOCAL
 
--- lib/ExtUtils/MM_Unix.pm.bak	2013-11-25 20:48:24.903741658 +0400
+++ lib/ExtUtils/MM_Unix.pm	2013-11-25 20:50:54.662739652 +0400
@@ -1574,6 +1574,16 @@
     $self->{FULLEXT} = $self->catdir(split /::/, $self->{NAME});
 
 
+    # Workaround for https://bugs.gentoo.org/show_bug.cgi?id=221179
+    if (!exists($self->{NO_PERLLOCAL})) {
+        $self->{NO_PERLLOCAL} = 1;
+    }
+
+    if (!exists($self->{NO_PACKLIST})) {
+        $self->{NO_PACKLIST} = 1;
+    }
+
+
     # Copied from DynaLoader:
 
     my(@modparts) = split(/::/,$self->{NAME});
--- t/basic.t.bak	2013-11-25 20:48:29.919741591 +0400
+++ t/basic.t	2013-11-25 20:51:15.437739373 +0400
@@ -43,7 +43,7 @@
 ok( chdir('Big-Dummy'), "chdir'd to Big-Dummy" ) ||
   diag("chdir failed: $!");
 
-my @mpl_out = run(qq{$perl Makefile.PL "PREFIX=../dummy-install"});
+my @mpl_out = run(qq{$perl Makefile.PL "PREFIX=../dummy-install" NO_PERLLOCAL=0 NO_PACKLIST=0});
 END { rmtree '../dummy-install'; }
 
 cmp_ok( $?, '==', 0, 'Makefile.PL exited with zero' ) ||
--- t/INSTALL_BASE.t.bak	2013-11-25 20:48:48.119741347 +0400
+++ t/INSTALL_BASE.t	2013-11-25 20:51:42.549739010 +0400
@@ -35,7 +35,7 @@
 
 ok( chdir('Big-Dummy'), "chdir'd to Big-Dummy") || diag("chdir failed; $!");
 
-my @mpl_out = run(qq{$perl Makefile.PL "INSTALL_BASE=../dummy-install"});
+my @mpl_out = run(qq{$perl Makefile.PL "INSTALL_BASE=../dummy-install" NO_PERLLOCAL=0 NO_PACKLIST=0});
 END { rmtree '../dummy-install'; }
 
 cmp_ok( $?, '==', 0, 'Makefile.PL exited with zero' ) ||